Any body real use firefox8.x from opensuse for connected to the LYNC-server over http ?

Example, when i do from my FF:

https://meetlc.ami.ua/egoncharov/9ZC1M9PH

i have attantion about: need SilverLight4.0 and above..

When go to this place: Get Silverlight | Microsoft Silverlight

and press: "Click to Install" i see tgis site:

Moonlight
in this site Press to "Install"

In the 2) Download plugin press Enter..
Plugin duwnloaded, but not instaled - incompatible with FF8.0.

Any suggestion please..


Serg